#include "blitz/protocol/packets/DisconnectPacket.h"

namespace blitz {
namespace protocol {

DataBuffer DisconnectPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_Reason;
	return data;
}

void DisconnectPacket::Deserialize(DataBuffer& data) {
	data >> m_Reason;
}

}  // namespace protocol
}  // namespace blitz
